
CoCoALib - Bug #1264

Remove unnecessary files before making CoCoALib release TGZ files

26 Mar 2019 17:43 - John Abbott

Status: Closed Start date: 26 Mar 2019

Priority: Urgent Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 1.23 hour

Target version: CoCoALib-0.99700 Spent time: 1.20 hour

Description

I have just downloaded 0.99601 (TGZ format) and have noted that there are lots of small file which should not really be there - I think

they are created automatically by MacOS.

We should find a way to make a release without them.

Related issues:

Related to CoCoALib - Bug #1260: Fix file permissions after using CVS Closed 25 Mar 2019

Related to CoCoA-5 - Design #990: CoCoA-5 distribution: tidying Closed 05 Dec 2016

History

#1 - 26 Mar 2019 17:43 - John Abbott

- Related to Bug #1260: Fix file permissions after using CVS added

#2 - 26 Mar 2019 17:50 - John Abbott

After unpacking the TGZ file on a Linux box, I found lots of files with names starting with dot-underscore.  While they are probably harmless, it is

messy to make a release containing them.

They could be eliminated by a single command:

find . -name ._\* -exec /bin/rm {} \;

 

Perhaps I should rename the script for fixing file permissions, and add this line to it.  Then it can be used to "clean" the subtree before public release. 

What do you think?

#3 - 18 Jan 2020 19:47 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

We should make a few tests to see what actually happens with the current scripts.

While it should be harmless to add the line suggested in comment 2, it would be "messy" to add it if it is not needed.

We should also check if there are any other "junk" files which appear in the released TGZ versions.
#4 - 25 Jan 2020 15:36 - John Abbott

- Priority changed from Normal to Urgent

#5 - 14 Feb 2020 11:01 - John Abbott

- Assignee set to John Abbott

- % Done changed from 10 to 60

Anna tried her script for making a source code TGZ file.  We found just 3 spurious files: these have been removed.

I checked file permissions: these seem to be sensible too.

Still have to check for oddities in the binary releases.

#6 - 15 Feb 2020 23:42 - John Abbott

- Related to Design #990: CoCoA-5 distribution: tidying added

#7 - 15 Feb 2020 23:44 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 60 to 90

- Estimated time set to 1.11 h

I have now added the related issue (#990) for the targz file for the binary release.

I suppose we should do a final check just as we make the official release...

#8 - 09 Mar 2020 16:01 - John Abbott

- Estimated time changed from 1.11 h to 1.23 h

I'll check once we have a source TGZ release.  When that is clean, I'll close this issue (hopefully today or tomorrow).

#9 - 12 Mar 2020 22:28 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

John checked
